#include "font.h"
#include <iostream>

Font::Font()
{

}

Mesh* Font::getTextMesh(std::string s)
{
    Mesh* text =  new Mesh();
    glm::vec2 current_pos(50,50);
    for(auto carac : s){
        CharInfo chinf = m_charTable[carac];
        current_pos += chinf.offset;
        text->addRectangle2D(current_pos,chinf.dim,chinf.pos,chinf.dim);
        current_pos -= chinf.offset;
        current_pos.x += (chinf.dim.x + chinf.offset.x);
    }
    text->setMaterial((Material*)m_mat);
    text->setDepth(0.5);
    text->initGL();
    return text;
}
